package de.dhbwstuttgart.target.tree.expression;

import de.dhbwstuttgart.target.tree.TargetMethod;
import de.dhbwstuttgart.target.tree.type.TargetType;

import java.util.List;

public record TargetNew(TargetType type, List<TargetType> signature, List<TargetExpression> params) implements TargetStatementExpression {
    public String getDescriptor() {
        return TargetMethod.getDescriptor(null, signature.toArray(TargetType[]::new));
    }
}
